@import "src/components/Theme";

.modal {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;

  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 20000;
}

.blackout {
  position: absolute;
  z-index: -1;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  background: $dark40;
}

.viewer {
  width: 1104px;
  height: 541px;
  display: flex;
  background: $background;
  padding: 48px;
  position: relative;
}

.modalClose {
  position: absolute;
  right: 16px;
  top: 16px;
}

.currentPhoto {
  flex-grow: 1;

  img {
    height: 100%;
    width: 100%;
    object-fit: contain;
  }
}

.previews {
  width: 368px;
  display: flex;
  flex-wrap: wrap;
  flex-shrink: 0;
  align-self: flex-start;
}

.preview {
  width: 176px;
  height: 176px;
  margin-left: 8px;
  position: relative;
  outline: 0 solid transparent;

  img {
    width: 100%;
    height: 100%;
    object-fit: cover;
  }

  .overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: $mainDark;
    display: none;
  }

  &:hover > .overlay {
    opacity: 0.4;
    display: block;
  }

  &:focus > .overlay {
    opacity: 0.64;
    display: block;
  }
}

.preview:nth-last-child(n+3) {
  margin-bottom: 8px;
}
